#include <SPI.h>
#include <Ethernet.h>

// MAC address for your controller
byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
// Numeric IP of the server where your website is stored.
IPAddress server(109,73,216,151);
// Set the static IP address to use if the DHCP fails to assign
IPAddress ip(10,106,125,36);
// Initialize the Ethernet client library
IPAddress gateway(10,106,125,1);
IPAddress subnet(255,255,255,0);
EthernetClient client;
 
void setup()
{
// start serial connection
Serial.begin(9600);
// start the Ethernet connection:
if (Ethernet.begin(mac) == 0) {
 Serial.println("Failed to configure Ethernet using DHCP");
 // no point in carrying on, so do nothing forevermore:
 // try to congifure using IP address instead of DHCP:
 Ethernet.begin(mac, ip, gateway, subnet);
 // give the Ethernet shield a second to initialize:
 delay(1000);
 Serial.println("connecting...");
}
}//close setup
 
void loop()
{
//Here would go the code to get the temperature value of your sensor.
// if you get a connection, report back via serial:
if (client.connect(server, 80)) {
 Serial.println("connected");
 // Send data using GET variable
 client.print("GET /getTemperature.php?temp=");
 //Pass the temperature variable
 client.print(45);
 client.println(" HTTP/1.0");
 client.println("User-Agent: Arduino 1.0");
 client.println();
 //Printing in the serial monitor what is going on
 Serial.println("Sucessful connection. Temperature sent");
 delay(2000);
 }
else {
  Serial.println("Connection failed");
 }
client.stop();
client.flush();
}
